# Uses of Class
com.sun.tools.attach.AgentLoadException

Packages that use AgentLoadException
Package
Description
com.sun.tools.attach
Provides the API to attach to a Java virtual machine.

## Uses of AgentLoadException in com.sun.tools.attach

Methods in com.sun.tools.attach that throw AgentLoadException
Modifier and Type
Method
Description
`void`
VirtualMachine.`loadAgent(String agent)`
Loads an agent.
`abstract void`
VirtualMachine.`loadAgent(String agent, String options)`
Loads an agent.
`void`
VirtualMachine.`loadAgentLibrary(String agentLibrary)`
Loads an agent library.
`abstract void`
VirtualMachine.`loadAgentLibrary(String agentLibrary, String options)`
Loads an agent library.
`void`
VirtualMachine.`loadAgentPath(String agentPath)`
Load a native agent library by full pathname.
`abstract void`
VirtualMachine.`loadAgentPath(String agentPath, String options)`
Load a native agent library by full pathname.